Skip to Content
BusinessChecksReceived Checks

Retrieve a Received Check

GET
/v0/business/{business_id}/received-checks/{received_check_id}

Scopes: check:read

Authorization

OAuth2ClientCredentialsBearer check:read
headerAuthorizationBearer <token>

Scope: check:read

Path Parameters

received_check_id*Received Check Id

The id of the received check

Formatrck_string
business_id*Business Id

The id of the business

Formatbiz_string

Response Body

Successful Response

application/json
  1. response
data*
Example Request
curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/received-checks/rck_WQMDNUHpBThYSNh4AprDBo'
Example Response
{  "data": {    "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",    "payer": "Acme Corp",    "customer_id": "cus_WQMDNUHpBThYSNh4AprDBo",    "amount": 400,    "currency": "USD",    "check_number": "2207",    "payer_routing_number": "021000021",    "payer_account_number": "000123456789",    "received_at": "2019-08-24T14:15:22Z",    "memo": "Invoice INV-1001",    "voided_at": "2019-08-24T14:15:22Z",    "created_by": "string",    "id": "rck_WQMDNUHpBThYSNh4AprDBo",    "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ",    "void_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",    "deposit_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",    "deposited_at": "2019-08-24T14:15:22Z",    "return_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",    "returned_at": "2019-08-24T14:15:22Z",    "invoice_payments": [      {        "invoice_id": "inv_Lq5AyApd4pdL1VvakpY5aJ",        "payment_amount": 400      }    ],    "status": "received"  }}